#Makefile for sys functions of psLib
#
noinst_LTLIBRARIES = libpslibsys.la

libpslibsys_la_CPPFLAGS = $(SRCINC) $(CFITSIO_CFLAGS)
libpslibsys_la_SOURCES = \
	psAbort.c \
	psConfigure.c  \
	psError.c      \
	psErrorCodes.c \
	psLogMsg.c     \
	psMemory.c     \
	psString.c     \
	psTrace.c

EXTRA_DIST = sys.i psErrorCodes.c.in psErrorCodes.h.in

BUILT_SOURCES = psErrorCodes.c

psErrorCodes.c: ../psErrorCodes_$(PS_LANG).dat psErrorCodes.c.in psErrorCodes.h
	$(top_srcdir)/psParseErrorCodes --data=../psErrorCodes_$(PS_LANG).dat $@

psError.h: psErrorCodes.h

psErrorCodes.h: ../psErrorCodes_$(PS_LANG).dat psErrorCodes.h.in
	$(top_srcdir)/psParseErrorCodes --data=../psErrorCodes_$(PS_LANG).dat $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psAbort.h \
	psConfigure.h  \
	psError.h      \
	psErrorCodes.h \
	psLogMsg.h     \
	psMemory.h     \
	psString.h     \
	psTrace.h      \
	psType.h